> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blink.store/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a file deliverable

> Delete a file from the store's records. The endpoint checks if the file exists and is associated with the store using the `x-store-id` header before deletion.



## OpenAPI

````yaml /api-reference/blink-api.json delete /files/{id}
openapi: 3.0.0
info:
  title: Blink API
  description: Comprehensive API documentation for Blink.
  version: 1.0.0
servers:
  - url: https://api.blink.store/v1
security:
  - storeIdHeader: []
tags:
  - name: Invoices
    description: Unified merchant of record invoices for products and subscriptions.
  - name: Geo Pricing
    description: Resolve Purchasing Power Parity (PPP) localized pricing.
paths:
  /files/{id}:
    delete:
      tags:
        - Deliverables
      summary: Delete a file deliverable
      description: >-
        Delete a file from the store's records. The endpoint checks if the file
        exists and is associated with the store using the `x-store-id` header
        before deletion.
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: ID of the file deliverable.
      responses:
        '200':
          description: File deleted successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeleteFileResponse'
      security:
        - storeIdHeader: []
components:
  schemas:
    DeleteFileResponse:
      type: object
      properties:
        data:
          type: object
          properties:
            id:
              type: string
            deleted:
              type: boolean
  securitySchemes:
    storeIdHeader:
      type: apiKey
      in: header
      name: x-store-id

````